// Package domain defines all the domain models
package domain

import "sync"

// Put the main models here!

type Asyncer interface {
	Publish(topic string, msg any)
	Subscribe(topic string, handler func(topic string, msg []byte))
}

type Notifier interface {
	SendMsg(chat MessageChannel, text string, status MessageStatus, wg *sync.WaitGroup)
}

type User struct {
	UserID   string
	Token    string
	Name     string
	LastName string
	Password string
	Email    string
	Phone    string
}
